Subject: Re: Disappearing profile?

From: [email-masked]
Date: Tue, 16 Jul 2019 09:42:48 +0200 (CEST)

Hello Ludovic,

> What do you mean by “my profile disappeared once again”?  Is the
> ~/.guix-profile symlink still around?  What does:
> 
>  readlink -f ~/.guix-profile
> 
> show?
> 

.guix-profile points to /var/guix/profiles/per-user/matthieu/guix-profile as it should. But the packages
that I had installed, like file or the urxvt command from rxvt-unicode, are no longer in my path. 
The last time this happened, my manifest file was still working, but guix package -I told that I had no installed package.

> Regarding the “unsupported manifest format” error: what’s the content of
> ~/.guix-profile/manifest?  (You previously posted the contents of
> ~/.config/guix/current/manifest, but it’s not relevant here.)

It exists, but is entirely empty (has size 0)

> 
> In general profiles cannot “disappear”.  A potential issue one may
> encounter is that, if you running several “guix install” or “guix
> package” commands simultaneously, one of them will “win”, meaning that
> work done by the other one is discarded.  However, that cannot lead to
> the “unsupported manifest format” error.
> 
> Did you happen to run several such commands in parallel?

Yes, I believe I did. I did not know this would cause such a mess!

Thanks,
Matthieu